# List All Lookup Table Values Retrieves all Company Parameter records for the specified Company Parameter table (LookupTable). Export the table to the Excel file (XLSX) using the output=xls URL query parameter. When exporting to the file, specify fields (within the resultFields property) you want to include in the output table. Example: json { "data":{ "criteria":[ ], "operator":"and" }, "resultFields":[ "key1", "key2", "key3", "attribute1", "attribute2", "attribute3" ], "valueFields":[ ] } Endpoint: POST /lookuptablemanager.fetch/{tableId} Security: basic, X-PriceFx-jwt ## Path parameters: - `tableId` (string, required) Enter the ID of the table. The ID can be retrieved using the /lookuptablemanager.fetch method. ## Query parameters: - `output` (string) Specifies the format of the output file. Enum: "json", "xls", "csv", "pdf" - `useColumnNames` (string) Set to false to retrieve the table with labels (as used in the database) instead of names in the table header. Enum: "true", "false" ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) - `sortBy` (array) ## Response 200 fields (application/json): - `response` (object) - `response.status` (number) - `response.startRow` (number) - `response.node` (string) - `response.csrfToken` (string) - `response.data` (array) - `response.data.version` (number, required) - `response.data.typedId` (string, required) - `response.data.name` (string, required) - `response.data.value` (string, required) - `response.data.lowerBound` (any) - `response.data.upperBound` (any) - `response.data.lastUpdateByName` (string, required) - `response.data.createdByName` (string, required) - `response.data.tableId` (any) - `response.data.valueType` (string, required) - `response.data.type` (string, required) - `response.data.rawValue` (string, required) - `response.data.createDate` (string, required) - `response.data.createdBy` (number, required) - `response.data.lastUpdateDate` (string, required) - `response.data.lastUpdateBy` (number, required) - `response.endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.